@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Sylvain Leblanc.
rem # Contributor(s): Philippe Merle, Christophe Demarey.
rem #
rem # ====================================================================
rem #
rem # The OpenCCM XML Trading Service Type Descriptor compiler.
rem #
rem # ====================================================================

setlocal

rem # Check if the CosTrading Service is started.

call "%OpenCCM_HOMEDIR%\bin\trader_started"
if %TRADER_STARTED%==0 goto :eof

rem # Execute the OpenCCM Trading Service Type Descriptor compiler.
call trader_ior > "%OpenCCM_CONFIG_DIR%\trader_feed.tmp"
for /f "usebackq" %%i in ("%OpenCCM_CONFIG_DIR%\trader_feed.tmp") do set ior_trader=%%i
del "%OpenCCM_CONFIG_DIR%\trader_feed.tmp"

set LAUNCHER_JVM_ARGS="-Dior_trader=%ior_trader%"
set LAUNCHER_ARGS="file:%OpenCCM_HOMEDIR%\xml\launcher\TraderFeed.xml" %*
call openccm_launcher exec
