/*====================================================================

created on 21 mars 2003

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2001-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Hameau Fabien.
Contributor(s): ______________________________________.

*/

package org.objectweb.ccm.Containers.MetaInformation;

import org.omg.Components.EventConsumerBase;

/**
 * @author hameau
 */
public class EmitterPortInstanceImpl
extends EventPortInstanceImpl
implements EmitterPortInstance {

  protected EventConsumerBase _consumer;

  public EmitterPortInstanceImpl()
  {
    _consumer = null;
  }

  /* (non-Javadoc)
   * @see org.objectweb.ccm.Containers.MetaInformation.EmitterPortInstanceOperations#consumer()
   */
  public EventConsumerBase consumer()
  {
    return _consumer;
  }

  /* (non-Javadoc)
   * @see org.objectweb.ccm.Containers.MetaInformation.EmitterPortInstanceOperations#consumer(org.omg.Components.EventConsumerBase)
   */
  public void consumer(EventConsumerBase value)
  {
    _consumer = value;    
  }

	
}
