/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Briclet Frdric.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.ccm.descriptor.componentassembly.ccm.deployer.installer;

import java.util.Hashtable;
import org.objectweb.ccm.descriptor.componentassembly.ccm.deployer.base.*;

/**
 * The componentfiles deployer is used to browse all the componentfile deployer
 * children.
 * TODO:Must be deprecated, no traiment are still necessary
 *
 * @author <a href="mailto:briclet@lifl.fr">Briclet Frdric</a>
 *
 * @version 0.1
 */
public class ComponentfilesDeployer 
       extends ComponentfilesDeployerContext 
    {
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================    
    private Hashtable deployTable;
    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================
    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================
    // ==================================================================
    //
    //  Public methods.
    //
    // ==================================================================    
    public void 
    deployPartial(java.util.Hashtable deployTable)
    {        
        this.deployTable=deployTable;
        //traverse(this,getComponentfileDeployers());
        getLifeCycleManager().stepEndedSuccessFully();            
    }
     
    public void 
    visit(ComponentfileDeployer comp,DeployerInactiveState status)
    {
       // comp.deployPartial(deployTable);
    }
     
}
