/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jerome Offroy.
Contributor(s): ______________________________________.

====================================================================*/
/*
 * Created on 27 juin 2003
 *
 */
package org.omg.lifl.eclipse.plugin.utils;

import java.io.IOException;

/**
 * @author offroy
 *
 */
public class OSHelper {

    public static boolean isWindowsOS() {
        String os = System.getProperties().getProperty("os.name");
        if (os.startsWith("Windows"))
            return true;
        else
            return false;

    }

    public static boolean isLinuxOS() {
        String os = System.getProperties().getProperty("os.name");
        if (os.startsWith("Linux"))
            return true;
        else
            return false;

    }

    public static boolean isOS(String OSName) {
        String os = System.getProperties().getProperty("os.name");
        if (os.startsWith("OSName"))
            return true;
        else
            return false;

    }

    public static void launchProcess(String srciptCmd) throws IOException {
        Process process;
        process = Runtime.getRuntime().exec(srciptCmd);
        
        // TODO launch the bat file in an Eclipse view or get its output to
        //      OpenCCMConsole Eclipse view
        /*
        if (!OutputToConsole.init()) {
            MessageBox infoBox =
                new MessageBox(
                    PlatformUI
                        .getWorkbench()
                        .getActiveWorkbenchWindow()
                        .getShell(),
                    40);
            infoBox.setMessage("The OpenCCM Console is not selected!");
            infoBox.setText("CompilerAction.messageBoxTitle");
            infoBox.open();
            return;
        }
        
        process = Runtime.getRuntime().exec(srciptCmd);
        
                    PrintStream outPrintStream = new PrintStream(process.getOutputStream());
        StreamCatcher errorCatcher =
            new StreamCatcher(
                process.getErrorStream(),
                outPrintStream,
                "ERROR");
        StreamCatcher outputCatcher =
            new StreamCatcher(
                process.getInputStream(),
                outPrintStream,
                "OUTPUT");
        errorCatcher.start();
        outputCatcher.start();
        process.waitFor();
        OutputToConsole.start();*/
    }

    public static String createWin32Shell() {
        String shellTittle = " \"Shell\" ";
        String cmdDirectory = WorkBenchHelper.getSelectedRessourceFullPath();
        if (cmdDirectory == null)
            cmdDirectory = ".";
        String win32Shell = "cmd.exe /c start /D " + cmdDirectory + shellTittle;
        return win32Shell;
    }


}
