/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Briclet Frederic
Contributor(s): 

====================================================================*/

package org.objectweb.openccm.OpenCCM_DCI.cif;

import org.objectweb.openccm.OpenCCM_DCI.*;

/**
 * The implementation of the AssemblyManagerRemoved valuetype.
 *
 * @author <a href="mailto:Frederic.Bricler@lifl.fr">Briclet Frdric</A>
 *        
 */

public class AssemblyManagerRemovedImpl
     extends AssemblyManagerRemoved
{
    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /** The default constructor. */
    public
    AssemblyManagerRemovedImpl()
    {
    }

    /**
     * The constructor.
     *
     * @param assembly_manager_ref The AssemblyManager instance
     */
    public
    AssemblyManagerRemovedImpl(AssemblyManager assembly_manager_ref)
    {
        this.assembly_manager_ref =assembly_manager_ref;
    }
}
