@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2004 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): -------------------------------------.
rem #
rem # ====================================================================
rem #
rem # Stopping the OpenCCM Comanche Server.
rem #
rem # ====================================================================

rem # Check if the OpenCCM Comanche Server is started.
if exist %OpenCCM_CONFIG_DIR%\Comanche.PID goto :do_stop

echo Error: The OpenCCM Comanche Server is not started!
goto :eof

:do_stop

echo The OpenCCM Comanche Server will be stopped.

kill F%OpenCCM_CONFIG_DIR%\Comanche.PID > nul

rem wait for window to release the files use by the process killed (0s)
call sleep 2

rem # Remove the associated files.
del %OpenCCM_CONFIG_DIR%\Comanche.PID 
del %OpenCCM_CONFIG_DIR%\Comanche.output
del %OpenCCM_CONFIG_DIR%\Comanche.output.tmp

echo The OpenCCM Comanche Server is stopped.
