@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi.
rem # Contributor(s): 
rem #
rem # ===========================================================================
rem #
rem # Start the deployment process
rem #
rem # Usage: ccm_deploy [NS_IOR] [DCI_IOR] [FactoryName] [AssemblyArchive]
rem #
rem # ===========================================================================

if "%1" == "" goto set_default_ns_host
set ns_host=%1
goto set_dci_name

:set_default_ns_host
set ns_host=@NS_IOR@

:set_dci_name
if "%2" == "" goto set_default_dci_name
set dci_name=%2
goto set_factory_name

:set_default_dci_name
set dci_name=@DCI_IOR@

:set_factory_name
if "%3" == "" goto set_default_factory_name
set factory_name=%3
goto set_default_assembly_archive

:set_default_factory_name
set factory_name=@FACTORY_NAME@

:set_assembly_archive
if "%4" == "" goto set_default_assembly_archive
set assembly_archive=%4
goto start_deploy

:set_default_assembly_archive
set assembly_archive=@ZIP_ARCHIVE@/@DEMO_NAME@

:start_deploy
echo Starting deployment process
@JVM@ -Dior_ns=%ns_host% -Dior_dci=%dci_name% org.objectweb.util.launcher.Launcher --runid deploy -F %factory_name% %assembly_archive% @OpenCCM_DIR@\xml\launcher\Deployment.xml
echo Demonstration is ready to be used